Subject: bug#2840: [emacs-nxml-mode] C-c C-b doesn't work as expected

From: Jason Rumney <[email-masked]>
Date: Wed, 01 Apr 2009 15:54:02 +0800

X-Debbugs-Cc: [email-masked]

Chaitanya Gupta wrote:
> Hi,
>
> I am using GNU Emacs 23.0.92.1 and the nxml-mode which comes with it. 
> C-c C-b (nxml-balanced-close-start-tag-block) doesn't seem to work as 
> expected.
>
> e.g. if my buffer is like this: (-!- indicates the point)
>
> <html xmlns="http://www.w3.org/1999/xhtml">
>    <head-!-
> </html>
>
>
> And I press C-c C-b, I get this
>
> <html xmlns="http://www.w3.org/1999/xhtml">
>    <head>-!-</head>
> </html>
>
>
> instead of what I was expecting:
>
> <html xmlns="http://www.w3.org/1999/xhtml">
>    <head>
>      -!-
>    </head>
> </html>
>   

This appears to be a bug in Emacs. If I run through 
nxml-balanced-close-start-tag in edebug, then it works as you expected, 
but if I let nxml-balanced-close-start-tag run without debugging, it 
acts as if 'inline was specified rather than 'block.